<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4092
Name: Traumatic Injury Observation
Description: Traumatic Injury Observation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4092-2017-02-01T000000">
   <title>Traumatic Injury Observation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4092
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]]
Item: (TraumaticInjuryObservation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4092
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]
Item: (TraumaticInjuryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]"
         id="d119e3627-false-d37345e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4092-2017-02-01T000000.html"
              test="string(@classCode)=('OBS')">(TraumaticInjuryObservation): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4092-2017-02-01T000000.html"
              test="string(@moodCode)=('EVN')">(TraumaticInjuryObservation): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4092-2017-02-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4092'])&gt;=1">(TraumaticInjuryObservation): Element hl7:templateId[@root='1.2.276.0.76.10.4092'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4092-2017-02-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4092'])&lt;=1">(TraumaticInjuryObservation): Element hl7:templateId[@root='1.2.276.0.76.10.4092'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4092-2017-02-01T000000.html"
              test="count(hl7:code[(@code='11374-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(TraumaticInjuryObservation): Element hl7:code[(@code='11374-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4092-2017-02-01T000000.html"
              test="count(hl7:code[(@code='11374-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(TraumaticInjuryObservation): Element hl7:code[(@code='11374-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4092-2017-02-01T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(TraumaticInjuryObservation): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4092-2017-02-01T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(TraumaticInjuryObservation): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4092-2017-02-01T000000.html"
              test="count(hl7:value)&gt;=1">(TraumaticInjuryObservation): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4092-2017-02-01T000000.html"
              test="count(hl7:value)&lt;=1">(TraumaticInjuryObservation): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4092
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]/hl7:templateId[@root='1.2.276.0.76.10.4092']
Item: (TraumaticInjuryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]/hl7:templateId[@root='1.2.276.0.76.10.4092']"
         id="d119e3633-false-d37411e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4092-2017-02-01T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4092')">(TraumaticInjuryObservation): Der Wert von @root MUSS '1.2.276.0.76.10.4092' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4092
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]/hl7:code[(@code='11374-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (TraumaticInjuryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]/hl7:code[(@code='11374-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d119e3638-false-d37425e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4092-2017-02-01T000000.html"
              test="@nullFlavor or (@code='11374-6' and @codeSystem='2.16.840.1.113883.6.1')">(TraumaticInjuryObservation): Der Elementinhalt MUSS einer von 'code '11374-6' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4092
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (TraumaticInjuryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d119e3643-false-d37442e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4092-2017-02-01T000000.html"
              test="@nullFlavor or (@code='completed')">(TraumaticInjuryObservation): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4092
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]/hl7:value
Item: (TraumaticInjuryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]/hl7:value"
         id="d119e3649-false-d37459e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4092-2017-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TraumaticInjuryObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4092-2017-02-01T000000.html"
              test="string(@nullFlavor)=('OTH')">(TraumaticInjuryObservation): Der Wert von @nullFlavor MUSS 'OTH' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4092-2017-02-01T000000.html"
              test="count(hl7:originalText)&gt;=1">(TraumaticInjuryObservation): Element hl7:originalText ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4092-2017-02-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(TraumaticInjuryObservation): Element hl7:originalText kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4092
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]/hl7:value/hl7:originalText
Item: (TraumaticInjuryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]/hl7:value/hl7:originalText"
         id="d119e3653-false-d37489e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4092-2017-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TraumaticInjuryObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4092-2017-02-01T000000.html"
              test="count(hl7:reference)&gt;=1">(TraumaticInjuryObservation): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4092-2017-02-01T000000.html"
              test="count(hl7:reference)&lt;=1">(TraumaticInjuryObservation): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4092
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]/hl7:value/hl7:originalText/hl7:reference
Item: (TraumaticInjuryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]/hl7:value/hl7:originalText/hl7:reference"
         id="d119e3655-false-d37515e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4092-2017-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TraumaticInjuryObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="URL"/>
   </rule>
</pattern>
