<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4103
Name: Endtidales CO2
Description: Carbon dioxide at end expiration
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4103-2017-02-01T000000">
   <title>Endtidales CO2</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4103
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]]
Item: (Carbondioxideatendexpiration)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]]"
         id="d119e4361-false-d40073e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4103-2017-02-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']])&gt;=1">(Carbondioxideatendexpiration): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4103-2017-02-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']])&lt;=1">(Carbondioxideatendexpiration): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4103
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]
Item: (Carbondioxideatendexpiration)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]"
         id="d119e4395-false-d40097e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4103-2017-02-01T000000.html"
              test="string(@classCode)=('OBS')">(Carbondioxideatendexpiration): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4103-2017-02-01T000000.html"
              test="string(@moodCode)=('EVN')">(Carbondioxideatendexpiration): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4103-2017-02-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4103'])&gt;=1">(Carbondioxideatendexpiration): Element hl7:templateId[@root='1.2.276.0.76.10.4103'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4103-2017-02-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4103'])&lt;=1">(Carbondioxideatendexpiration): Element hl7:templateId[@root='1.2.276.0.76.10.4103'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4103-2017-02-01T000000.html"
              test="count(hl7:id)&gt;=1">(Carbondioxideatendexpiration): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4103-2017-02-01T000000.html"
              test="count(hl7:id)&lt;=1">(Carbondioxideatendexpiration): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4103-2017-02-01T000000.html"
              test="count(hl7:code[(@code='19891-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(Carbondioxideatendexpiration): Element hl7:code[(@code='19891-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4103-2017-02-01T000000.html"
              test="count(hl7:code[(@code='19891-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(Carbondioxideatendexpiration): Element hl7:code[(@code='19891-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4103-2017-02-01T000000.html"
              test="count(hl7:text)&lt;=1">(Carbondioxideatendexpiration): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4103-2017-02-01T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(Carbondioxideatendexpiration): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4103-2017-02-01T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(Carbondioxideatendexpiration): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4103-2017-02-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Carbondioxideatendexpiration): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4103-2017-02-01T000000.html"
              test="count(hl7:value)&gt;=1">(Carbondioxideatendexpiration): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4103-2017-02-01T000000.html"
              test="count(hl7:value)&lt;=1">(Carbondioxideatendexpiration): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4103
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]/hl7:templateId[@root='1.2.276.0.76.10.4103']
Item: (Carbondioxideatendexpiration)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]/hl7:templateId[@root='1.2.276.0.76.10.4103']"
         id="d119e4401-false-d40193e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4103-2017-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Carbondioxideatendexpiration): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4103-2017-02-01T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4103')">(Carbondioxideatendexpiration): Der Wert von @root MUSS '1.2.276.0.76.10.4103' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4103
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]/hl7:id
Item: (Carbondioxideatendexpiration)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4103
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]/hl7:code[(@code='19891-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (Carbondioxideatendexpiration)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]/hl7:code[(@code='19891-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d119e4408-false-d40222e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4103-2017-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Carbondioxideatendexpiration): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4103-2017-02-01T000000.html"
              test="@nullFlavor or (@code='19891-1' and @codeSystem='2.16.840.1.113883.6.1')">(Carbondioxideatendexpiration): Der Elementinhalt MUSS einer von 'code '19891-1' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4103
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]/hl7:text
Item: (Carbondioxideatendexpiration)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]/hl7:text"
         id="d119e4414-false-d40242e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4103-2017-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Carbondioxideatendexpiration): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4103-2017-02-01T000000.html"
              test="count(hl7:reference)&gt;=1">(Carbondioxideatendexpiration): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4103-2017-02-01T000000.html"
              test="count(hl7:reference)&lt;=1">(Carbondioxideatendexpiration): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4103
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]/hl7:text/hl7:reference
Item: (Carbondioxideatendexpiration)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]/hl7:text/hl7:reference"
         id="d119e4419-false-d40268e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4103-2017-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Carbondioxideatendexpiration): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="URL"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4103
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (Carbondioxideatendexpiration)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d119e4422-false-d40282e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4103-2017-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Carbondioxideatendexpiration): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4103-2017-02-01T000000.html"
              test="@nullFlavor or (@code='completed')">(Carbondioxideatendexpiration): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4103
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]/hl7:effectiveTime
Item: (Carbondioxideatendexpiration)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]/hl7:effectiveTime"
         id="d119e4427-false-d40302e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4103-2017-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Carbondioxideatendexpiration): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4103-2017-02-01T000000.html"
              test="not(*)">(Carbondioxideatendexpiration): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4103
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]/hl7:value
Item: (Carbondioxideatendexpiration)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4103']]/hl7:value"
         id="d119e4429-false-d40319e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4103-2017-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Carbondioxideatendexpiration): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4103-2017-02-01T000000.html"
              test="(@nullFlavor or (@unit='mm[Hg]'))">(Carbondioxideatendexpiration): value MUSS die Einheit 'mm[Hg]' nutzen </assert>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4103-2017-02-01T000000.html"
              test="$digitok or @nullFlavor">(Carbondioxideatendexpiration): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://aktin.art-decor.org/aktin-html-20170503T145117/tmp-1.2.276.0.76.10.4103-2017-02-01T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Carbondioxideatendexpiration): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
